> Greetings Lyle.

Greetings.

> g++ [version 2.96 20000731 (Linux-Mandrake 8.0 2.96-0.48mdk)] gives me
> this...
>
>  FXRbApp.cpp
> cc1plus: warning: -fno-strict-prototype is no longer supported
<... snipped ...>

This issue is discussed in the FXRuby build instructions
(http://fxruby.sourceforge.net/doc/build.html), which, I have discovered, no
one ever reads ;) Look for the section entitled "Things That Can Go Wrong".
Not to pass the buck, but it's a problem with the header files for Ruby 1.6
which has been corrected (I think) in the Ruby 1.7 CVS sources.

> May I ask why you don't use SourceForge's CVS as the World's Greatest
> Backup Server? I went looking for the head before writing this one up.

I would like to keep the official CVS tree under my control (i.e. at the
repository maintenance level) and SF, understandably, doesn't offer quite
that level of access. In an ideal world, I could periodically log in to my
SF account and blast the latest CVS repository snapshot in there so that
users (such as yourself) could have read-only access to the CVS.